Unsubscribe a subscriber from a mailing list and a campaign
POST /subscribers/{MailingListID}/{CampaignID}/unsubscribe.{Format}
Unsubscribes a subscriber from a specific email list and campaign. This call considers the Unsubscribe settings in your Sitecore Send account where you can specify whether to remove a subscriber from all other email lists.
Request
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| Accept | header | string | true | Determines the expected format and data type to retrieve the response data.Value: application/json |
| MailingListID | path | string | true | The ID of the email list from which you want to unsubscribe a subscriber. |
| CampaignID | path | string | true | The ID of the campaign sent to the specific email list. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |
| body | string | true | The email address of the subscriber. |
Response
| Status | Description | Headers | Schema |
|---|---|---|---|
| 200 OK | The request is successful. | Content-Type/json | N/A |
-
Code- the response code. This is0if successful. -
Error- the response error message. This isnullif successful. -
Context- this isnullif successful.
If you have suggestions for improving this article, let us know!